# Files
### [about.template](./about.template)
The customizable part of the content page, HTML code for now, will eventually be replaced with a markdown file
### [instance.conf](./instance.conf)
configuration for a specific instance
- domain_name=<public facing domain name of the instance>
- threadr_dir=<directory on the webhost>
- db_username=<mysql user>
- db_password=<mysql password>
- db_database=<name of the database>
- db_svr_host=<mysql server address>

I know some of these option names are silly but they all have the same length. -BodgeMaster

The format is strictly `<option>=<value>` because the mechanism used to load the config values is very simple. Don’t add additional whitespace for fancy formatting. Things *will* break. You have been warned.

The config is loaded once on deployment by the "variable grabbler" macro processor with `["exec","echo -n \"$(sed --quiet \"/<option>=/s/.*=//p\" config/instance.conf)\""]`.

### [README.md](./README.md)
this file
