# Files
### [[DIR] templates](./templates)
contains the templates used by the macro processor
### [pass0_templates.json](./pass0_templates.json)
Macros that insert templates
- `%NAVBAR%`            the navigation bar at the top of the website (requires PHP)
- `%BANNER_COOKIES%`    the cookie banner (requires PHP)
### [pass1_misc.json](./pass1_misc.json)
Miscellaneous macros
- `%STYLESHEET%`        links stylesheet (HTML <head> section)
- `%PLEAZE_NO_CACHE%`   tell the browser not to cache this page (PHP, before any data is sent to the client)
- `%COLOR_BEIGE%`, `%COLOR_ORANGE%`, `%COLOR_BLUE%`, `%COLOR_PINK%`, `%COLOR_CYAN%` color codes, format: #XXXXXX
### [pass2_session.json](./pass2_session.json)
Session handling macros
- `%REQUIRE_LOGIN%`             go to login page if not logged in
- `%NO_CHEAP_SESSION_STEALING%` make sure that IP and user agent stay the same, otherwise end session
- `%SET_LOGIN_VARIABLE%`        sets the variable $login based on whether the user is logged in
- `%FORCE_LOGOUT%`              end session right here and now
### [pass3_install-config.json](./pass3_install-config.json)
Macros that grab the configuration values and inject them into the instance
- `%DOMAIN_NAME%`   the domain name of the instance
- `%CONTENT_DIR%`   the directory of the ThreadR home page on the webhost
- `%DB_PASSWORD%`   password for the MySQL server
- `%DB_USERNAME%`   username for the MySQL server
- `%DB_NAME%`       name of the database to use
- `%DB_SERVER%`     address of the mysql server
- `%ABOUT_PAGE%`    the template for the about page
### [README.md](./README.md)
this file
